### Callable

- stat(path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:372

  Asynchronous stat(2) - Get file status.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### callback: function

    - - (err: ErrnoException, stats: Stats): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### stats: Stats

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike): Promise<Stats>

- - Defined in node_modules/@types/node/fs.d.ts:380

  Asynchronous stat(2) - Get file status.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  #### Returns Promise<Stats>

Generated using TypeDoc